// Copyright (c) 2024 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package controllers

import (
	"git.smarteching.com/goffee/core"
	"git.smarteching.com/goffee/core/template/components"
)

// Show basic template
func Sample(c *core.Context) *core.Response {

	// first, include all compoments
	type templateData struct {
		PageCard components.PageCard
	}

	// now fill data of the components
	tmplData := templateData{
		PageCard: components.PageCard{
			CardTitle: "Framework Goffee",
			CardBody:  "Powered by Golang",
		},
	}

	return c.Response.Template("basic.html", tmplData)

}
